.modal {
    position: absolute;
    display: flex;
    z-index: 90;
    padding: 0px;
    margin: 0px auto;
    top: 0px;
    left: 0px;
    // background-color: rgba(0,0,0,0.5);
    width: 100%; // only bns F1 100%;
    min-height: 100vh; // only bns F1 100%;
    height:100%;
    justify-content: center;
    align-items: center;
    font-size: 40px;
    transition: all 200ms ease-in;
    // font-family: 'Kanit-Light';
    &.close {
        display: none !important;
    }
    &__content {
        z-index: 2;
        position: fixed;
        background-color:rgba(45,23,18,0.6);
        // background:url("../static/images/popup_background.png")top center no-repeat;

        font-size: 28px;
        color: white;
        padding: 0;
        width: 320px;
        height: 191px;
        font-family: 'Kanit';
        border-radius: 20px;
        border: 3px solid #ffffff;

        left: 50%;
        margin-left: -160px;
        top: 50%;
        margin-top: -95px;
        
        &--full {
            width: calc(96% - 20px - 20px);
            height: calc(96% - 20px - 20px);
        }
        &--height {
            height:auto;
            min-height:300px;
        }
        &--loading {
            height:150px;
        }
        &.loading{
            z-index: 999;
        }
    }
    &__incontent {
        width: 100%;
        text-align: center;
        // font-family: 'Kanit-Light';
        line-height: 1.5em;
        margin: 20px auto 0px;
        /* height: fit-content; */
        &--loading {
            font-size: 30px;
            margin-top: 70px;
        }
        &--message {
            font-size: 26px;
            margin-top: 20px;
        }
        &--confirmrandom {
            // font-family: "Kanit-Light";
            font-size: 20px;
            margin-top: 30px;
        }
        &--selectcharacter {
            font-size: 20px;
            margin-top: 20px;
        }
        &--confirmredeem {
            font-size: 20px;
            margin-top: 20px;
        }
        &--reward-text{
            font-family: "Kanit-Bold";
            color: #000;
            font-size: 22px;
            margin-top: 10px;
            padding: 0 15px;
        }
    }
    &__loading{
        display: flex;
        justify-content: center;
        align-items: center;
    }
    &__bottom {
        position: absolute;
        bottom: -1em;
        height: 50px;
        width: 100%; // use friend_refer_friend only 100%;
        text-align: center;
        border-bottom-left-radius: 20px;
        border-bottom-right-radius: 20px;
        overflow: hidden;
    }
    &__backdrop {
        z-index: 1;
        position: fixed;
        background-color: rgba(0,0,0,0.8);
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        &--white {
            background-color: rgba(255,255,255,0.85);
        }
        &--selectcharacter {
            width: 96% !important;
            height: 100% !important;
            left: 2% !important;
            border-radius: 30px;
        }
        &--grey {
            background: rgba(163,163,163,0.95);
        }
    }
    &__selectcharacter{
        display: block;
        background-color: white;
        border: none;
        margin: 20px auto;
        width: 250px;
        height: 40px;
        line-height: 40px;
        color: #000;
        font-size: 30px;
        text-align: center;
        border-radius: 10px;
    }
    &__selectitemlist{
        display: flex;
        justify-content: center;
        flex-wrap: wrap;
        margin-top: 10px;
    }
    &__selectitemslot{
        text-align: center;
    }
    &__button {
        cursor: pointer;
        display: inline-block;
        text-align: center;
        font-size: 20px;
        width: 45%;
        height: 50px;
        line-height: 50px;
        margin:0 .4em;
        border-radius: 30px;
        color:#000;
        background-color: #cfcfcf;
        // font-family: 'Kanit-Light';
        &--full {
            width: 100%;
        }
        &:hover {
            // background-color: #d3a55d;
        }
    }
    &__content-inner {
        background: #626262;
        color:#fff;
        text-align:center;
        padding:1em;
        border-radius: 20px;
        width:70%;
        margin:0 auto;
    } 
    &__redeemlist {
        padding:0;
        margin:0;
        li {
            display:block;
            text-align:left;
            line-height:1em;
            &:before {
                content:"- ";
                display:inline-block;
                vertical-align: middle;
                margin-right:.5em;
            }
        }
    }
}

.formselect {
    margin: 0px auto;
    label {
        position: relative;
        color:#fff;
        background-color: #626262;
        width: 240px;
        height: 26px;
        line-height: 26px;
        display: block;
        margin: 10px auto;
        padding: 5px;
        border-radius: 10px;
        overflow: hidden;
        &:focus {
            outline: 0 none;
        }
    }
    select {
        font-size: 20px;
        border: 0px;
        background: transparent;
        vertical-align: middle;
        width: 110%;
        left: 0;
        position: absolute;
        z-index: 1;
        color:#000;
        &:focus {
            outline: 0 none;
        }
    }
    img {
        position: absolute;
        display: block;
        top: 50%;
        width: 24px;
        height: 21px;
        right: 0px;
        transform: translate( -50% , -50% );
        user-select: none;
    }
}
